#ifndef RELAYDIALOG_H
#define RELAYDIALOG_H

#include <QDialog>
#include "libschremote.h"

namespace Ui
  {
  class RelayDialog;
  }

class RelayDialog : public QDialog
  {
  Q_OBJECT

  public:
    explicit RelayDialog(SR_HANDLE s, QWidget *parent = 0);
    ~RelayDialog();

  private:
    Ui::RelayDialog *ui;
    SR_HANDLE srh;
    void setupDevice();

  public slots:
    void relayChange1(bool checked);
    void relayChange2(bool checked);
    void relayChange3(bool checked);
    void relayChange4(bool checked);
  };

#endif // RELAYDIALOG_H
